curl --request GET \
--url https://api.devhelm.io/api/v1/maintenance-windows \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"repeatRule": "<string>",
"reason": "<string>",
"suppressAlerts": true,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"hasNext": true,
"hasPrev": true
}Returns maintenance windows for the caller’s organisation. Optionally filter by monitor_id, and/or by status: ‘active’ (currently in window) or ‘upcoming’ (starts in the future).
curl --request GET \
--url https://api.devhelm.io/api/v1/maintenance-windows \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"repeatRule": "<string>",
"reason": "<string>",
"suppressAlerts": true,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"hasNext": true,
"hasPrev": true
}